# Class validation_exception

- Defined in File validate.hpp

## Inheritance Relationships

### Base Type

- `public std::runtime_error`

## Class Documentation

class validation_exception : public std::runtime_error

  Public Functions

  inline validation_exception(validation_error err)
  inline validation_exception(validation_error err, std::string_view category)
  inline validation_exception(validation_error err, std::string_view category, std::string_view item)
  validation_exception(std::error_code ec)
  validation_exception(std::error_code ec, std::string_view category)
  validation_exception(std::error_code ec, std::string_view category, std::string_view item)